at.chipkarte.client.prop.soap

## Class Ersteller

- Object
- - at.chipkarte.client.prop.soap.Ersteller

-     public class Ersteller
      extends Object

  Beinhaltet Daten zum Vertragspartner und zum Arzt der Erstellung

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ersteller()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErstellerId()` ID des Erstellers (Arztes) des Befundes.
    `String` | `getErstellerName()` Name des Ersteller (Arztes) des Befundes.
    `String` | `getVertragspartnerDrucktitelHinten()` Drucktitel hinten des Vertragspartners der Erstellung.
    `String` | `getVertragspartnerDrucktitelVorne()` Drucktitel vorne des Vertragspartners der Erstellung.
    `String` | `getVertragspartnerDruckVorname()` Druckvorname des Vertragspartners der Erstellung.
    `String` | `getVertragspartnerDruckZuname()` Druckzuname des Vertragspartners der Erstellung.
    `String` | `getVertragspartnerTitelHinten()` Titel hitnen des Vertragspartners der Erstellung.
    `String` | `getVertragspartnerTitelVorne()` Titel vorne des Vertragspartners der Erstellung.
    `String` | `getVertragspartnerVorname()` Vorname des Vertragspartners der Erstellung.
    `String` | `getVertragspartnerZuname()` Zuname des Vertragspartners der Erstellung.
    `void` | `setErstellerId(String erstellerId)`
    `void` | `setErstellerName(String erstellerName)`
    `void` | `setVertragspartnerDrucktitelHinten(String vertragspartnerDrucktitelHinten)`
    `void` | `setVertragspartnerDrucktitelVorne(String vertragspartnerDrucktitelVorne)`
    `void` | `setVertragspartnerDruckVorname(String vertragspartnerDruckVorname)`
    `void` | `setVertragspartnerDruckZuname(String vertragspartnerDruckZuname)`
    `void` | `setVertragspartnerTitelHinten(String vertragspartnerTitelHinten)`
    `void` | `setVertragspartnerTitelVorne(String vertragspartnerTitelVorne)`
    `void` | `setVertragspartnerVorname(String vertragspartnerVorname)`
    `void` | `setVertragspartnerZuname(String vertragspartnerZuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ersteller

          public Ersteller()

  - ### Method Detail

    - #### getErstellerId

          public String getErstellerId()

      ID des Erstellers (Arztes) des Befundes.
      Returns:
        Id

    - #### setErstellerId

          public void setErstellerId(String erstellerId)

    - #### getErstellerName

          public String getErstellerName()

      Name des Ersteller (Arztes) des Befundes.
      Returns:
        Name

    - #### setErstellerName

          public void setErstellerName(String erstellerName)

    - #### getVertragspartnerVorname

          public String getVertragspartnerVorname()

      Vorname des Vertragspartners der Erstellung.
      Returns:
        Vorname

    - #### setVertragspartnerVorname

          public void setVertragspartnerVorname(String vertragspartnerVorname)

    - #### getVertragspartnerZuname

          public String getVertragspartnerZuname()

      Zuname des Vertragspartners der Erstellung.
      Returns:
        Zuname

    - #### setVertragspartnerZuname

          public void setVertragspartnerZuname(String vertragspartnerZuname)

    - #### getVertragspartnerDruckVorname

          public String getVertragspartnerDruckVorname()

      Druckvorname des Vertragspartners der Erstellung.
      Returns:
        Vorname mit diakritischen Zeichen

    - #### setVertragspartnerDruckVorname

          public void setVertragspartnerDruckVorname(String vertragspartnerDruckVorname)

    - #### getVertragspartnerDruckZuname

          public String getVertragspartnerDruckZuname()

      Druckzuname des Vertragspartners der Erstellung.
      Returns:
        Zuname mit diakritischen Zeichen

    - #### setVertragspartnerDruckZuname

          public void setVertragspartnerDruckZuname(String vertragspartnerDruckZuname)

    - #### getVertragspartnerTitelVorne

          public String getVertragspartnerTitelVorne()

      Titel vorne des Vertragspartners der Erstellung.
      Returns:
        Titel vorne

    - #### setVertragspartnerTitelVorne

          public void setVertragspartnerTitelVorne(String vertragspartnerTitelVorne)

    - #### getVertragspartnerTitelHinten

          public String getVertragspartnerTitelHinten()

      Titel hitnen des Vertragspartners der Erstellung.
      Returns:
        Titel hinten

    - #### setVertragspartnerTitelHinten

          public void setVertragspartnerTitelHinten(String vertragspartnerTitelHinten)

    - #### getVertragspartnerDrucktitelVorne

          public String getVertragspartnerDrucktitelVorne()

      Drucktitel vorne des Vertragspartners der Erstellung.
      Returns:
        Drucktitel vorne

    - #### setVertragspartnerDrucktitelVorne

          public void setVertragspartnerDrucktitelVorne(String vertragspartnerDrucktitelVorne)

    - #### getVertragspartnerDrucktitelHinten

          public String getVertragspartnerDrucktitelHinten()

      Drucktitel hinten des Vertragspartners der Erstellung.
      Returns:
        Drucktitel hinten

    - #### setVertragspartnerDrucktitelHinten

          public void setVertragspartnerDrucktitelHinten(String vertragspartnerDrucktitelHinten)